import allure

from Lib.TestcaseBasicLibrary import *
from Pom.Home.Signin import *


@allure.feature('测试登录站点')
class TestSignin:
    def setup_class(self):
        self.page = PageSignin(WebDriver()).open()

    def teardown_class(self):
        self.page.exit()

    @allure.story('异常登录')
    @allure.title('测试异常登录')
    @allure.description('......')
    @pytest.mark.parametrize(('username', 'password'), [['super', 'super'], ['guest', 'guest'], ['users', 'users']])
    def test_errors_signin(self, username, password):
        with allure.step('刷新页面'):
            self.page.reload()
        with allure.step('输入账号'):
            self.page.input_user(username)
        with allure.step('输入密码'):
            self.page.input_pass(password)
        allure.attach(self.page.driver.screenshot(), '网页截图', allure.attachment_type.PNG)
        with allure.step('点击登录'):
            self.page.click_submit()
        allure.attach(self.page.driver.screenshot(), '网页截图', allure.attachment_type.PNG)

    @allure.story('正常登录')
    @allure.title('测试正常登录')
    @allure.description('......')
    @pytest.mark.parametrize(('username', 'password'), [['admin', 'admin']])
    def test_normal_signin(self, username, password):
        with allure.step('刷新页面'):
            self.page.reload()
        with allure.step('输入账号'):
            self.page.input_user(username)
        with allure.step('输入密码'):
            self.page.input_pass(password)
        allure.attach(self.page.driver.screenshot(), '网页截图', allure.attachment_type.PNG)
        with allure.step('点击登录'):
            self.page.click_submit()
        allure.attach(self.page.driver.screenshot(), '网页截图', allure.attachment_type.PNG)
